create or replace view OOBJ_NFE_EVENTOS as 
select
     null            as id_evento,            -- Chave primria	(id do lote)											
     null            as tpAmb,                -- Ambiente (1-Produo | 2-Homologacao)
	 null            as cOrgao,               -- Cdigo do rgo responsvel pelo registro do evento (cUF)
     null            as autorEvento,          -- CNPJ ou CPF do autor do Evento (CNPJ do Emitente)
     null            as chNFe,                -- Chave de Acesso do documento associado
	 null            as dhEvento,             -- Data e hora do evento (opcional)
     null            as tpEvento,             -- Tipo de Evento (110110 p/ CC-e | 110111 p/ Cancelamento)
     null            as nSeqEvento,           -- Nmero sequencial do Evento (1-20 para CC-e | 1 para Cancelamento)
     null            as verEvento,            -- Verso do Evento (1.00 | opcional)
     null            as descEvento,           -- Descrio do Evento (Carta de Correcao | Cancelamento)
	 null            as xCorrecao,            -- Correo da Carta de Correo (apenas se for CC-e)
	 null            as xCondUso,             -- Condio de Uso da CC-e (opcional)
	 null            as nProtStatus,          -- Nmero de protocolo de Status da NF-e (protoloco de autorizao da NF-e | opcional, pois aplicao consulta no BD)
	 null            as xJust,                -- Justificativa do Evento (apenas se for Cancelamento)
	 null            as cOrgaoAutor,          -- Cdigo do rgo Autor do Evento. (apenas se for Comprovante de entrega)
	 null            as tpAutor,              -- Tipo do Autor do Evento. (apenas se for Comprovante de entrega)
	 null            as verAplic,             -- Verso do aplicativo do Autor do Evento (apenas se for Comprovante de entrega)
	 null            as dhEntrega,            -- Data e hora do final da entrega. (apenas se for Comprovante de entrega)
	 null            as nDoc,                 -- Nmero do documento de identificao da pessoa que assinou (apenas se for Comprovante de entrega)
	 null            as xNome,                -- Nome da pessoa que assinou (apenas se for Comprovante de entrega)
	 null            as latGPS,               -- Latitude do ponto de entrega (apenas se for Comprovante de entrega)
	 null            as longGPS,              -- Longitude do ponto de entrega (apenas se for Comprovante de entrega)
	 null            as hashComprovante,      -- Chave de Acesso da NF-e + Base64 da imagem capturada do Comprovante de Entrega da NF-e. (apenas se for Comprovante de entrega)
	 null            as dhHashComprovante,    -- Data e hora da gerao do hash do Comprovante de Entrega da NF-e. (apenas se for Comprovante de entrega)
	 null            as nProtEvento           -- Nmero de protocolo do Evento da Nfe  (apenas se for Comprovante de entrega)
from <tabela> tab
-- Condio para o extrator Oobj-NFe ler o registro.
where <condition>
